<?php
/**
 * Default Values.
 *
 * @package RuRu
 */

if (!function_exists('ruru_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function ruru_get_default_theme_options(){

        $ruru_defaults = array();

        $ruru_defaults['twp_ruru_home_sections_1'] = array(
            array(
                'home_section_type' => 'default-banner-area',
                'section_ed' => 'yes',
                'home_section_title_5' => esc_html__('Main Highlights','ruru'),
                'home_section_title_4' => esc_html__('Trending Stories','ruru'),
                'home_section_title_3' => esc_html__('Top Latest','ruru'),
                'section_post_cat_1' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'section_category_3' => '',
                'section_category_7' => '',
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'no',
                'section_category_tile_slider' => '',
                'section_category' => '',
                'ed_arrows_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'yes',
                'section_post_cat_1' => '',
                'section_post_number' => 3,
            ),
            array(
                'home_section_type' => 'must-read',
                'section_ed' => 'yes',
                'home_section_must_read' => esc_html__('Must Read','ruru'),
                'section_category_5' => '',
            ),

            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'home_section_title_1' => esc_html__('Block Title One','ruru'),
                'section_category_1' => '',
                'section_category_2' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
            array(
                'home_section_type' => 'you-may-like-blocks',
                'section_ed' => 'yes',
                'home_section_title' => esc_html__('You May Also Like','ruru'),
                'section_category' => '',
            ),
        );

        // header section
        $ruru_defaults['logo_width_range']      = 300;
        $ruru_defaults['site_title_font_size']  = 52;
        $ruru_defaults['site_title_add_layout']  = 'default-layout';

        // Options.
        $ruru_defaults['global_sidebar_layout'] = 'left-sidebar';
        $ruru_defaults['ruru_archive_layout'] = 'full';
        $ruru_defaults['ruru_pagination_layout'] = 'numeric';
        $ruru_defaults['footer_column_layout'] = 3;
        $ruru_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'ruru');
        $ruru_defaults['ed_ticker_slider_autoplay'] = 1;
        $ruru_defaults['ed_header_subscription_news'] = 0;
        $ruru_defaults['ed_header_subscription_button_text'] = esc_html__('Subscribe Now', 'ruru');
        $ruru_defaults['ed_header_subscription_posts_title'] = esc_html__('Join Our Membership', 'ruru');
        $ruru_defaults['ed_header_ad'] = 0;
        $ruru_defaults['ed_header_type'] = 'twp-img-boxed-header';
        $ruru_defaults['addvertisement_section_title'] = esc_html__('Advertisement Section', 'ruru');
        $ruru_defaults['ed_middle_header_ad'] = 1;

        $ruru_defaults['ed_header_ticker_posts'] = 1;
        $ruru_defaults['ticker_date_format'] = 'l, F jS, Y';
        $ruru_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'ruru');
        $ruru_defaults['ed_image_content_inverse'] = 0;
        $ruru_defaults['ed_related_post'] = 1;
        $ruru_defaults['related_post_title'] = esc_html__('More Stories', 'ruru');
        $ruru_defaults['twp_navigation_type'] = 'norma-navigation';
        $ruru_defaults['ruru_single_post_layout'] = 'layout-1';
        $ruru_defaults['ed_post_thumbnail'] = 0;
        $ruru_defaults['ed_post_date'] = 1;
        $ruru_defaults['ed_post_category'] = 1;
        $ruru_defaults['ed_header_overlay'] = 0;
        $ruru_defaults['ed_floating_next_previous_nav'] = 1;       
        $ruru_defaults['ruru_header_bg_size'] = 2;
        $ruru_defaults['ed_header_bg_fixed'] = 0;
        $ruru_defaults['ed_header_bg_overlay'] = 1;
        $ruru_defaults['post_date_format'] = 'default';
        $ruru_defaults['ed_fullwidth_layout'] = 'default';
        $ruru_defaults['ed_post_views'] = 0;
        $ruru_defaults['ed_scroll_top_button'] = 1;

        $ruru_defaults['ed_ticker_bar']                  = 1;
        $ruru_defaults['ed_tags_wide_layout']            = 1;
        $ruru_defaults['ed_post_tags']                   = 1;
        $ruru_defaults['ed_post_read_later']             = 1;
        $ruru_defaults['ed_ticker_bar_social_nav']       = 1;

        // Pass through filter.
        $ruru_defaults = apply_filters('ruru_filter_default_theme_options', $ruru_defaults);

        return $ruru_defaults;

    }

endif;
