<?php
/**
 * Pagination Settings
 *
 * @package RuRu
 */

$ruru_default = ruru_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'ruru_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'ruru' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'ruru_pagination_layout',
	array(
	'default'           => $ruru_default['ruru_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'ruru_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'ruru' ),
	'section'     => 'ruru_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','ruru'),
		'numeric' => esc_html__('Numeric Method','ruru'),
		'load-more' => esc_html__('Ajax Load More Button','ruru'),
		'auto-load' => esc_html__('Ajax Auto Load','ruru'),
	),
	)
);