<?php
/**
 * Default Banner
 *
 * @package RuRu
 */
if (!function_exists('ruru_horizontal_vertical_slider')):
    function ruru_horizontal_vertical_slider($ruru_home_section, $repeat_times)
    {
        $section_category_7 = esc_html(isset($ruru_home_section->section_category_7) ? $ruru_home_section->section_category_7 : '');
        $section_slide_category = esc_html(isset($ruru_home_section->section_slide_category) ? $ruru_home_section->section_slide_category : '');
        $section_post_cat_1 = esc_html(isset($ruru_home_section->section_post_cat_1) ? $ruru_home_section->section_post_cat_1 : '');
        $slider_arrows = esc_html(isset($ruru_home_section->ed_arrows_carousel) ? $ruru_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($ruru_home_section->ed_dots_carousel) ? $ruru_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($ruru_home_section->ed_autoplay_carousel) ? $ruru_home_section->ed_autoplay_carousel : '');
        $home_section_title_3 = isset($ruru_home_section->home_section_title_3) ? $ruru_home_section->home_section_title_3 : '';
        $home_section_title_4 = isset($ruru_home_section->home_section_title_4) ? $ruru_home_section->home_section_title_4 : '';
        $home_section_title_5 = isset($ruru_home_section->home_section_title_5) ? $ruru_home_section->home_section_title_5 : '';
        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 9, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_7)));
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_slide_category)));
        $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 8, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_cat_1))); ?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-default-banner">
            <div class="wrapper">
                <div class="column-row column-row-medium">
                    <div class="column column-3 column-md-6 column-sm-12 column-xs-12 order-md-2">
                        <div class="theme-block-left aside-block-left theme-aside-block">
                        <?php if ($banner_query_1->have_posts()): ?>
                            <?php
                            $i = 1;
                            while ($banner_query_1->have_posts()) {
                                $banner_query_1->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>

                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-news-article'); ?>>
                                    <?php if ($i == 1) { ?>
                                        <div class="data-bg data-bg-thumbnail data-bg-overlay img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">
                                            <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                        </div>
                                    <?php } ?>

                                    <div class="theme-article-detail">
                                        <div class="article-index-no">
                                            <?php echo $i; ?>
                                        </div>

                                        <div class="theme-article-header">
                                            <h3 class="entry-title entry-title-small">
                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h3>
                                            <div class="entry-meta">
                                                <?php ruru_posted_by(); ?>
                                                <?php ruru_post_view_count(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                                <?php $i++;
                            } ?>
                            <?php wp_reset_postdata();
                        endif; ?>
                        </div>
                    </div>

                    <div class="column column-6 column-md-12 column-sm-12 order-md-1">
                        <?php if ($banner_query_2->have_posts()): ?>
                            <div class="theme-block-middle">
                                <div class="column-row column-row-medium">
                                    <?php
                                    $i=1;
                                    while ($banner_query_2->have_posts()) {
                                        $banner_query_2->the_post();
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                        <div class="column <?php if($i==1){echo 'column-12';}else{echo 'column-6 column-sm-12';}?> order-md-1">
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                <div class="theme-article-image">
                                                    <div class="data-bg data-bg-big data-bg-overlay img-hover-shine" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                    </div>
                                                </div>
                                                <div class="article-content">
                                                    <div class="entry-meta">
                                                        <?php ruru_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                    </div>
                                                    <h2 class="entry-title entry-title-big line-clamp-2">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                            <?php the_title(); ?>
                                                        </a>
                                                    </h2>
                                                    <div class="entry-footer">
                                                        <div class="entry-meta">
                                                            <?php ruru_posted_by(); ?>
                                                            <?php ruru_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                    <div class="entry-content hidden-xs-element entry-content-muted content-muted-small">
                                                        <?php
                                                        if (has_excerpt()) {
                                                            the_excerpt();
                                                        } else {
                                                            echo '<p>';
                                                            echo esc_html(wp_trim_words(get_the_content(), 30, '...'));
                                                            echo '</p>';
                                                        } ?>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>
                                    <?php $i++; } ?>
                                </div>
                            </div>
                            <?php wp_reset_postdata();
                        endif; ?>
                    </div>

                    <div class="column column-3 column-md-6 column-sm-12 column-xs-12 order-md-3">
                        <?php if ($banner_query_3->have_posts()): ?>
                            <div class="theme-block-right theme-aside-block">
                                <div class="prime-slider-area">
                                    
    
                                    <?php if( $banner_query_3 ->have_posts() ): ?>
                                      <div class="prime-slider-left">
                                          <?php
                                          $count = 1;
                                            while( $banner_query_3 ->have_posts() ){
                                            $banner_query_3 ->the_post(); ?>
                                              <?php 
                                              $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium');
                                              $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                            <?php if ($count <= 3 ) { 
                                                if ($count==1) { ?>
                                                <div class = 'prime-slider-wrapper'>
                                                    <div class = 'theme-prime-slider'>
                                                <?php } ?>
    
                                                <div class="prime-slider-item">
                                                    <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                        <div class="data-bg data-bg-medium img-hover-slide data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                                                            <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                        </div>
    
                                                        <div class="article-content has-article-content-overlay article-content-overlay mt-10">
                                                            <h3 class="entry-title entry-title-small">
                                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                            </h3>
    
                                                            <div class="entry-meta">
                                                                <?php ruru_posted_by(); ?>
                                                                <?php ruru_post_view_count(); ?>
                                                            </div>
                                                        </div>
                                                    </article>
                                                </div>
    
                                                <?php if (($count == 3 )|| $banner_query_3->current_post +1 == $banner_query_3->post_count) { ?>
                                                    </div>
                                                </div>
                                                <?php } ?>
    
                                            <?php $count++; } else { ?>
                                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                
                                                    <div class="article-content article-content-highlights">
                                                        <h3 class="entry-title entry-title-xsmall">
                                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                        </h3>
    
                                                        <div class="entry-meta">
                                                            <?php ruru_posted_by(); ?>
                                                            <?php ruru_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </article>
                                            <?php } ?>
                                          <?php } ?>
                                      </div>
                                    <?php endif; ?>
    
    
    
    
                                </div>
                            </div>
                            <?php
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </div>
    <?php }
endif;