<?php
/**
 * Must Read
 *
 * @package RuRu
 */
if (!function_exists('ruru_must_read')):
    function ruru_must_read($ruru_home_section, $repeat_times)
    {
        $section_category_5 = esc_html(isset($ruru_home_section->section_category_5) ? $ruru_home_section->section_category_5 : '');
        $home_section_must_read = esc_html(isset($ruru_home_section->home_section_must_read) ? $ruru_home_section->home_section_must_read : '');

        $must_read_section = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_5)));
        if ($must_read_section->have_posts()):
            ?>
            <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-must-read">

                <?php if ($home_section_must_read) { ?>
                    <header class="theme-block-header">
                        <div class="theme-block-title">
                            <h2 class="block-title">
                                <?php echo esc_html($home_section_must_read); ?>
                            </h2>
                        </div>
                    </header>
                <?php } ?>

                <div class="wrapper">
                    <div class="column-row column-row-medium column-row-center">
                        <?php
                        $i = 1;
                        while ($must_read_section->have_posts()) {
                            $must_read_section->the_post();
                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';

                            ?>
                            <?php if ($i == 1 ) { ?>
                                <div class="column column-6 column-md-12 column-sm-12">
                                    <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-inlined article-inlined-big article-inlined-center mb-32'); ?>>
                                        <div class="article-content">
                                            <h2 class="entry-title entry-title-medium line-clamp-2">
                                                <a href="<?php the_permalink(); ?>" tabindex="0"
                                                   rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h2>
                                            
                                            <?php the_excerpt(); ?>

                                            <div class="entry-footer">
                                                <div class="entry-meta">
                                                    <?php ruru_posted_by(); ?>
                                                    <?php ruru_post_view_count(); ?>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="theme-article-image">
                                            <div class="data-bg data-bg-medium" data-background="<?php echo esc_url($featured_image); ?>">
                                                <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                            </div>
                                        </div>

                                    </article>
                                </div>
                            <div class="column column-6 column-md-12 column-sm-12">
                                <div class="column-row column-row-medium">
                            <?php $i++;} else { ?>
                                <div class="column column-6 column-sm-12">
                                    <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-inlined article-inlined-small mb-32'); ?>>
                                        <div class="article-content">
                                            <h2 class="entry-title entry-title-small line-clamp-3">
                                                <a href="<?php the_permalink(); ?>" tabindex="0"
                                                   rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h2>
                                            <div class="entry-footer">
                                                <div class="entry-meta">
                                                    <?php ruru_posted_by(); ?>
                                                    <?php ruru_post_view_count(); ?>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="theme-article-image">
                                            <div class="data-bg img-hover-slide data-bg-thumbnail" data-background="<?php echo esc_url($featured_image); ?>">
                                                <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                            </div>
                                        </div>

                                    </article>
                                </div>
                            <?php } ?>
                            <?php if ($must_read_section->current_post +1 == $must_read_section->post_count) { ?>
                            </div>
                            </div>
                            <?php } ?>
                        <?php } ?>
                        
                    </div>
                </div>
            </div>
            <?php wp_reset_postdata();
        endif;
    }
endif; ?>